%define _altdata_dir %_datadir/alterator

Name: alterator-net-pptp
Version: 0.5.10
Release: alt1.M40.1

Packager: Stanislav Ievlev <inger@altlinux.org>
Source:%name-%version.tar
BuildArch:	noarch

Summary: alterator module for pptp connections configuration
License: GPL
Group: System/Configuration/Other

Requires: alterator >= 2.9 gettext
Requires: alterator-net-common
Requires: pptp-client
Conflicts: alterator-fbi < 0.15-alt2

BuildPreReq: alterator >= 3.1, alterator-standalone >= 2.5-alt0.3, alterator-fbi >= 0.7-alt1

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
alterator module for pptp connections configuration

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall HTMLROOT=%buildroot%_var/www/
%find_lang %name

%files -f %name.lang
%_altdata_dir/applications/*
%_altdata_dir/ui/*/
%_altdata_dir/help/*/*
%_var/www/html/*
%_alterator_backend3dir/*

# TODO:
# - add MPPE to html/fbi too
# - add {no,}{bsdcomp,deflate} knob
# - cleanup PPTP-over-PPP hasty fix

%changelog
* Wed Aug 27 2008 Michael Shigorin <mike@altlinux.org> 0.5.10-alt1.M40.1
- proofread uk.po
- built for M40

* Tue Jul 01 2008 Michael Shigorin <mike@altlinux.org> 0.5.10-alt1
- disabled Van Jacobson compression by default
  (symptom: ICMP ping would work just fine, while HTTP HEAD would get stuck)

* Mon May 12 2008 Michael Shigorin <mike@altlinux.org> 0.5.9-alt1
- add "usepeerdns" by default into pppoptions (#14116)

* Tue Apr 22 2008 Michael Shigorin <mike@altlinux.org> 0.5.8-alt1
- "kludgy krap" release
- hacked to allow PPTP-over-PPP:
  + start PPTP interface numbering with "ppp1"
  + if ppp0 is active (via dialer, not etcnet) on module startup,
    append it to interface list
  + don't try to REQUIRE dynamic interface like that either

* Thu Mar 20 2008 Michael Shigorin <mike@altlinux.org> 0.5.7-alt1
- mtu: 1460->1400 (Alexey Novikov reported that his connection
  seems to have required 1432)

* Thu Mar 20 2008 Michael Shigorin <mike@altlinux.org> 0.5.6-alt1
- clamp mtu to 1460 on interfaces being created: ISP or link
  related issues might sort of mandate this (in case of
  "lost or reordered" GRE packets you might try to lower it
  to 1400 as WinXP would do by default);
  thanks Sergey Vlasov (vsu@) for insightful advice;
  see also #14730

* Tue Mar 04 2008 Michael Shigorin <mike@altlinux.org> 0.5.5-alt3
- rebuild

* Tue Mar 04 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5.5-alt2
- Change help paths to the new style.

* Sun Mar 02 2008 Michael Shigorin <mike@altlinux.org> 0.5.5-alt1
- don't attempt to start interface upon "Apply" button unless
  it's marked to start at boot (probably shouldn't start at all,
  there are Start/Stop buttons now and currently the module sorta
  hangs if unable to connect)

* Sun Mar 02 2008 Michael Shigorin <mike@altlinux.org> 0.5.4-alt1
- applied patch by Konstantin Uvarin (lodin@) to move password
  from chap-secrets which is shared by all connections into
  interface-specific pppoptions (#14649)

* Sat Feb 23 2008 Michael Shigorin <mike@altlinux.org> 0.5.3-alt1
- add "nodeflate" and "nobsdcomp" options to created PPP interfaces
  since these compression types are unsupported on Windows(TM) and
  hence have better chance to be untested/broken on server-side;
  thanks Sergey Vlasov (vsu@) for a note

* Tue Jan 15 2008 Michael Shigorin <mike@altlinux.org> 0.5.2-alt1
- disable buttons and inputs that are useless
  (e.g. when no connection is configured) (#14026)
- retry ifup/ifdown 3 times, not 5

* Tue Jan 15 2008 Michael Shigorin <mike@altlinux.org> 0.5.1-alt1
- fixed subtle thinko in start_iface() -- which wouldn't trigger
  any problems in that particular script but did manifest later
- added "Start" and "Stop" buttons to directly manipulate the
  connection status
- updated strings/translations

* Tue Jan 15 2008 Michael Shigorin <mike@altlinux.org> 0.5.0-alt1
- first strike at routing issues (#13966): this version will setup
  an additional static route to VPN gateway via current defult gw
  (not exactly ideal but this seems to be done properly in etcnet)
- added onboot and persist controls (another part of #11988)
- updated strings and translations
- somewhat tested

* Thu Dec 06 2007 Michael Shigorin <mike@altlinux.org> 0.4.1-alt1
- added MPPE checkbox (partial fix for #11988)
- s/throw/through/ (#13336)
- s/net-pppoe/net-pptp/
- uk.po update

* Thu Jul 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- use alterator-net-common common library

* Wed Jun 13 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt13
- add desktop file

* Thu May 31 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt12
- rebuild with latest standalone
- add interface status info

* Fri May 25 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt11
- switch to new card-index scripts

* Mon Apr 23 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt10
- update Ukrainian translation

* Thu Apr 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt9
- little CSS optimizations

* Thu Apr 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt8
- remove config-*

* Mon Apr 02 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt7
- add Ukrainian translation
- help improvements from kirill@

* Fri Mar 30 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt6
- improve po template generation
- add documentation

* Wed Mar 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt5
- assign 'Network' group

* Wed Mar 07 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt4
- more translations
- use gridbox

* Thu Feb 22 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt3
- use ifup/ifdown instead of whole network restart
- enable auto-select

* Mon Feb 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt2
- simplify backend
- fix ethernet interface listing

* Thu Feb 08 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- add fbi data

* Wed Feb 07 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- fix constraints for server name (bug #10780)

* Mon Jan 15 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- require gettext
- add label constraints

* Wed Dec 13 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt6
- fix backend (read on /)

* Wed Dec 06 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- move "first available interface" logic from UI to backend
- list all available eth interfaces itself

* Wed Nov 29 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- add constraints visualization

* Thu Nov 16 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- add translations
- enable constraints

* Wed Nov 08 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- use native message boxes

* Wed Nov 01 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- initial release


